mb_convert_kana
mb_decode_mimeheader
Multibyte String Functions
PHP Manual

# mb_convert_variables

(PHP 4 >= 4.0.6, PHP 5)

mb_convert_variables — Convert character code in variable(s)

### Description

string mb_convert_variables ( string `$to_encoding` , mixed `$from_encoding` , mixed `&$vars` [, mixed `&$...` ] )

Converts character encoding of variables `vars` in encoding `from_encoding` to encoding `to_encoding`.

mb_convert_variables() join strings in Array or Object to detect encoding, since encoding detection tends to fail for short strings. Therefore, it is impossible to mix encoding in single array or object.

### Parameters

`to_encoding`

  The encoding that the string is being converted to.

`from_encoding`

  `from_encoding` is specified as an array or comma separated string, it tries to detect encoding from `from-coding`. When `from_encoding` is omitted, detect_order is used.

`vars`

  `vars` is the reference to the variable being converted. String, Array and Object are accepted. mb_convert_variables() assumes all parameters have the same encoding.

`...`

  Additional `vars`.

### Return Values

The character encoding before conversion for success, or `FALSE` for failure.

### Examples

Example #1 mb_convert_variables() example

`<?php
/* Convert variables $post1, $post2 to internal encoding */
$interenc = mb_internal_encoding();
$inputenc = mb_convert_variables($interenc, "ASCII,UTF-8,SJIS-win", $post1, $post2);
?>`

mb_convert_kana
mb_decode_mimeheader
Multibyte String Functions
PHP Manual